org.labkey.remoteapi.security

## Class CreateContainerCommand

- java.lang.Object
- - org.labkey.remoteapi.Command<ResponseType>
  - - org.labkey.remoteapi.PostCommand<CreateContainerResponse>
    - - org.labkey.remoteapi.security.CreateContainerCommand

-     public class CreateContainerCommand
      extends PostCommand<CreateContainerResponse>

  Create a container (project/folder/workbook) on the server User: jeckels Date: Jul 20, 2012

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.labkey.remoteapi.Command

      `Command.CommonParameters, Command.Response`

  - ### Field Summary

    - ### Fields inherited from class org.labkey.remoteapi.Command

      `CONTENT_TYPE_JSON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CreateContainerCommand(CreateContainerCommand source)`
    `CreateContainerCommand(java.lang.String name)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `CreateContainerCommand` | `copy()` Returns a copy of this object.
    `protected CreateContainerResponse` | `createResponse(java.lang.String text, int status, java.lang.String contentType, org.json.simple.JSONObject json)` Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.
    `java.lang.String` | `getDescription()`
    `java.lang.String` | `getFolderType()`
    `org.json.simple.JSONObject` | `getJsonObject()` Returns the JSON object to post, or null if the JSON object has not yet been set.
    `java.lang.String` | `getName()`
    `java.lang.String` | `getTitle()`
    `boolean` | `isWorkbook()`
    `void` | `setDescription(java.lang.String description)`
    `void` | `setFolderType(java.lang.String folderType)`
    `void` | `setName(java.lang.String name)`
    `void` | `setTitle(java.lang.String title)`
    `void` | `setWorkbook(boolean workbook)`

    - ### Methods inherited from class org.labkey.remoteapi.PostCommand

      `createRequest, setJsonObject`

    - ### Methods inherited from class org.labkey.remoteapi.Command

      `_execute, execute, getActionName, getActionUrl, getControllerName, getHttpRequest, getParameters, getParamValueAsString, getQueryString, getRequiredVersion, getTimeout, setParameters, setRequiredVersion, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CreateContainerCommand

          public CreateContainerCommand(CreateContainerCommand source)

    - #### CreateContainerCommand

          public CreateContainerCommand(java.lang.String name)

      Parameters:
        `name` - the name of the container to create

  - ### Method Detail

    - #### getJsonObject

          public org.json.simple.JSONObject getJsonObject()

      Description copied from class: `PostCommand`
      Returns the JSON object to post, or null if the JSON object has not yet been set. Override this method to provide the JSON object dynamically.
      Overrides:
        `getJsonObject` in class `PostCommand<CreateContainerResponse>`
      Returns:
        The JSON object to post.

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName(java.lang.String name)

    - #### getTitle

          public java.lang.String getTitle()

    - #### setTitle

          public void setTitle(java.lang.String title)

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription(java.lang.String description)

    - #### isWorkbook

          public boolean isWorkbook()

    - #### setWorkbook

          public void setWorkbook(boolean workbook)

    - #### getFolderType

          public java.lang.String getFolderType()

    - #### setFolderType

          public void setFolderType(java.lang.String folderType)

    - #### createResponse

          protected CreateContainerResponse createResponse(java.lang.String text,
                                                           int status,
                                                           java.lang.String contentType,
                                                           org.json.simple.JSONObject json)

      Description copied from class: `Command`
      Creates an instance of the response class, initialized with the response text, the HTTP status code, and parsed JSONObject.

      Override this method to create an instance of a different class that extends CommandResponse

      Overrides:
        `createResponse` in class `Command<CreateContainerResponse>`
      Parameters:
        `text` - The response text from the server.
        `status` - The HTTP status code.
        `contentType` - The Content-Type header value.
        `json` - The parsed JSONObject (or null if no JSON was returned).
      Returns:
        An instance of the response object.

    - #### copy

          public CreateContainerCommand copy()

      Description copied from class: `Command`
      Returns a copy of this object. Derived classes should override this to copy their own data members
      Overrides:
        `copy` in class `PostCommand<CreateContainerResponse>`
      Returns:
        A copy of this object